CRYPTSETUP-LUKSSUSPEND(8)

NAME
cryptsetup-luksSuspend - suspends an active device and wipes the key

SYNOPSIS

cryptsetup luksSuspend [<options>] <name>

DESCRIPTION

Suspends an active device (all IO operations will block and accesses to the device will wait indefinitely) and wipes the encryption key from kernel memory.

While the luksSuspend operation wipes encryption keys from memory, it does not remove possible plaintext data in various caches or in-kernel metadata for mounted filesystems.

After this operation, you must use luksResume to reinstate the encryption key and unblock the device or close to remove the mapped device.

WARNING: To avoid deadlock, never suspend the device on which the cryptsetup binary resides.

<options> can be [--header, --disable-locks].

OPTIONS

--batch-mode, -q
    Suppresses all confirmation questions. Use with care!

    If the --verify-passphrase option is not specified, this option also switches off the passphrase verification.

--debug or --debug-json
    Run in debug mode with full diagnostic logs. Debug output lines are always prefixed by #.

    If --debug-json is used, additional LUKS2 JSON data structures are printed.

--disable-locks
    Disable lock protection for metadata on disk. This option is valid only for LUKS2 and is ignored for other formats.

    WARNING: Do not use this option unless you run cryptsetup in a restricted environment where locking is impossible to perform (where /run directory cannot be used).

--header <device or file storing the LUKS header>
    Use a detached (separated) metadata device or file where the LUKS header is stored. This option allows one to store the ciphertext and LUKS header on different devices.

    For commands that change the LUKS header (e.g., luksAddKey), specify the device or file with the LUKS header directly as the LUKS device.

--help, -?
    Show help text and default parameters.

--usage
    Show short option help.

--version, -V
    Show the program version.

REPORTING BUGS

Report bugs at or in

Please attach the output of the failed command with --debug option added.

SEE ALSO

cryptsetup(8), integritysetup(8) and veritysetup(8)

CRYPTSETUP

Part of